Debian Bug report logs - #519690
live-helper: rename categories to archive-areas

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Luca Bruno <lethalman88@gmail.com>

Date: Sat, 14 Mar 2009 12:54:02 UTC

Severity: minor

Found in version live-helper/1.0.4-1

Fixed in version live-helper/2.0~a1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#519690; Package live-helper. (Sat, 14 Mar 2009 12:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Bruno <lethalman88@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 14 Mar 2009 12:54:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Bruno <lethalman88@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: rename categories to archive-areas
Date: Sat, 14 Mar 2009 13:51:15 +0100
[Message part 1 (text/plain, inline)]
Package: live-helper
Version: 1.0.4-1
Severity: minor

As per debian policy 3.8.1, main/contrib/non-free have been renamed again
from category to archive-area.

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  cdebootstrap                0.5.4        Bootstrap a Debian system
ii  debootstrap                 1.0.10lenny1 Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-6     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools                 3.0.2-1       utilities for making and checking 
ii  fakeroot                   1.12.2        Gives a fake root environment
ii  genisoimage                9:1.1.9-1     Creates ISO-9660 CD-ROM filesystem
ii  grub                       0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn  memtest86+ | memtest86     <none>        (no description available)
ii  mtools                     4.0.4-1       Tools for manipulating MSDOS files
pn  parted                     <none>        (no description available)
pn  squashfs-tools | genext2fs <none>        (no description available)
ii  sudo                       1.6.9p17-2    Provide limited super user privile
ii  uuid-runtime               1.41.3-1      universally unique id library
pn  win32-loader               <none>        (no description available)

-- no debconf information

-- 
http://syx.googlecode.com - Smalltalk YX
http://lethalman.blogspot.com - Thoughts about computer technologies
http://www.debian.org - The Universal Operating System
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#519690; Package live-helper. (Sat, 14 Mar 2009 13:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 14 Mar 2009 13:42:02 GMT) Full text and rfc822 format available.

Message #10 received at 519690@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Luca Bruno <lethalman88@gmail.com>, 519690@bugs.debian.org
Subject: Re: Bug#519690: live-helper: rename categories to archive-areas
Date: Sat, 14 Mar 2009 14:39:32 +0100
Luca Bruno wrote:
> As per debian policy 3.8.1, main/contrib/non-free have been renamed again
> from category to archive-area.

hrm, this really sucks :// one could think that after all these years,
we would have come up with an own consistent terminology </rant>.

however, as the next version should also go to lenny at some point and
therefore should keep compatibility, and as there's no real gain in this
per se, i'll adapt live-helper after that.

thanks for reporting.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#519690; Package live-helper. (Sun, 15 Nov 2009 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 15 Nov 2009 20:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 519690@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 519690@bugs.debian.org, control@bugs.debian.org
Subject: Re: live-helper: rename categories to archive-areas
Date: Sun, 15 Nov 2009 21:44:53 +0100
tag 519690 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 15 Nov 2009 20:48:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 15 Nov 2009 23:18:05 GMT) Full text and rfc822 format available.

Notification sent to Luca Bruno <lethalman88@gmail.com>:
Bug acknowledged by developer. (Sun, 15 Nov 2009 23:18:05 GMT) Full text and rfc822 format available.

Message #22 received at 519690-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 519690-close@bugs.debian.org
Subject: Bug#519690: fixed in live-helper 2.0~a1-1
Date: Sun, 15 Nov 2009 23:11:12 +0000
Source: live-helper
Source-Version: 2.0~a1-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a1-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a1-1.diff.gz
live-helper_2.0~a1-1.dsc
  to main/l/live-helper/live-helper_2.0~a1-1.dsc
live-helper_2.0~a1-1_all.deb
  to main/l/live-helper/live-helper_2.0~a1-1_all.deb
live-helper_2.0~a1.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 519690@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 15 Nov 2009 22:42:59 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a1-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 519690
Changes: 
 live-helper (2.0~a1-1) experimental; urgency=low
 .
   * Renaming categories to archive areas (Closes: #519690).
   * Renaming functions.sh to live-helper.sh.
   * Installing helpers to /usr/share/live-helper/helpers instead of
     /usr/bin.
   * Removing legacy function for dashed commands.
Checksums-Sha1: 
 9005cb7d2af44383cb65b59dfbd15871756b14b1 1232 live-helper_2.0~a1-1.dsc
 4fde5db67f206f6076102d2cb7a945d0ae86c272 4048681 live-helper_2.0~a1.orig.tar.gz
 393a758c9ca0139ac0078756d0bda51511150c93 29400 live-helper_2.0~a1-1.diff.gz
 c2e5f615b92dbfcfdd38056698e9aaf3d0f877b2 2918606 live-helper_2.0~a1-1_all.deb
Checksums-Sha256: 
 4e64e8d4bbb5041899fe53827d44be434636b779cc4ba0634ef518e705a23e48 1232 live-helper_2.0~a1-1.dsc
 e6706beb5cd979cef45a8e01634f396caa8c32bd7dd6f76379b25bae809157e3 4048681 live-helper_2.0~a1.orig.tar.gz
 b350044cc8529c31472184a20b81a9ae911bb6b98f9a7986b4cdded7935445a2 29400 live-helper_2.0~a1-1.diff.gz
 2bbc1135542324c2d6afc0fcf6bfbbbff6d37c3667c2d1ac3116067a9c28def9 2918606 live-helper_2.0~a1-1_all.deb
Files: 
 fd3a8ca701dbcd721e1949c14e1be577 1232 misc optional live-helper_2.0~a1-1.dsc
 bee1d1497663a71697fd0519a263f1fb 4048681 misc optional live-helper_2.0~a1.orig.tar.gz
 13fdb2c556595cd3a9ce8c7135c7f670 29400 misc optional live-helper_2.0~a1-1.diff.gz
 68c5f6bb8668429a1256b1f1ef8ba45f 2918606 misc optional live-helper_2.0~a1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksAeYAACgkQ+C5cwEsrK56e3wCgxtgj8tn7yXWtC0MSZJ5KmEI/
NQsAoI7S7IPQvqBGGYx5sBOdPm2+rP3C
=iLlf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Jan 2010 07:36:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 07:03:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.